> ## Documentation Index
> Fetch the complete documentation index at: https://docs.keyapi.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get post comments

> Get the list of comments for a Threads post

<div className="inline-flex items-center gap-2 px-4 py-2 bg-yellow-50 dark:bg-yellow-900/20 border border-yellow-200 dark:border-yellow-800 rounded-lg">
  <span className="text-base">🪙</span>
  <span className="text-sm font-medium text-yellow-900 dark:text-yellow-100"><span className="font-semibold">2 credits</span><span className="text-yellow-700 dark:text-yellow-300 ml-1">per request</span></span>
</div>

## Copy for AI

<div className="my-6 rounded-xl border border-gray-200 bg-gray-50 p-5 dark:border-gray-800 dark:bg-gray-900/40">
  <div className="min-w-0">
    <p className="text-base font-semibold text-gray-900 dark:text-gray-100">🤖 Why Code When AI Can Do It For You?</p>
    <p className="mt-1 text-sm text-gray-700 dark:text-gray-300">Stop writing code like it's 1970! Let AI do the heavy lifting - click the sparkles to copy a perfectly formatted prompt for ChatGPT, Claude, or your favorite AI assistant.</p>
  </div>

  <div className="mt-4">
    <button
      type="button"
      className="inline-flex items-center gap-2 rounded-md border border-emerald-300 bg-emerald-50 px-3 py-2 text-sm font-medium text-emerald-800 hover:bg-emerald-100 dark:border-emerald-700 dark:bg-emerald-900/30 dark:text-emerald-100 dark:hover:bg-emerald-900/50"
      onClick={() => navigator.clipboard.writeText(`I want to make an API call to https://api.keyapi.ai/v1/threads/fetch_post_comments.

Please help me write code to make this API call and handle the response appropriately. Include error handling and best practices.

Here are the details:

Endpoint: GET https://api.keyapi.ai/v1/threads/fetch_post_comments

Description: Get the list of comments for a Threads post

Required Headers:
--header 'Authorization: Bearer <YOUR_API_KEY>'

Parameters:
- post_id (Required): Post ID. Example: 3390920896561588969
- end_cursor (Optional): Pagination cursor, used to fetch the next page of data

Example Response:
{
"code": 0,
"message": "success",
"data": {
"edges": [
  {
    "node": {
      "header": null,
      "thread_items": [
        {
          "post": {
            "id": "3390920896561588969_67007790630",
            "pk": "3390920896561588969",
            "user": {
              "friendship_status": null,
              "pk": "67007790630",
              "profile_pic_url": "https://scontent-sea1-1.cdninstagram.com/v/t51.82787-19/631581152_17922081027238631_8908333353901489699_n.jpg?stp=dst-jpg_s150x150_tt6&efg=eyJ2ZW5jb2RlX3RhZyI6InByb2ZpbGVfcGljLmRqYW5nby4xMDgwLmMyIn0&_nc_ht=scontent-sea1-1.cdninstagram.com&_nc_cat=1&_nc_oc=Q6cZ2QEMqSf1ja9k5mr8dIRGLmok9eQcRBXvGpanHxgmgg-3cxmepoDDyBkk3s886EuMF6mXEDduofNJZPi2xA2RFX8e&_nc_ohc=pI3pL-f_ByUQ7kNvwF3W-8i&_nc_gid=hPesnmnbuUPVpV-a0Aktyg&edm=ALvRx_oBAAAA&ccb=7-5&oh=00_AfyFtGQzSAA71AzJFmL62f6xSSr599U-tpWctL_Zxf6JFQ&oe=69B57709&_nc_sid=ecb15b",
              "username": "realmadrid",
              "id": "67007790630",
              "transparency_label": null,
              "transparency_product": null,
              "transparency_product_enabled": false,
              "is_verified": true,
              "text_post_app_is_private": false,
              "has_onboarded_to_text_post_app": true
            },
            "text_post_app_info": {
              "show_header_follow": false,
              "is_markup": false,
              "c
... (truncated)`)}
    >
      <span>✨</span>
      <span>Copy for AI</span>
    </button>
  </div>
</div>


## OpenAPI

````yaml en/threads.openapi.json GET /v1/threads/fetch_post_comments
openapi: 3.0.1
info:
  title: Threads API english documentation
  description: >-
    The english reference documentation of the Threads API includes the
    interface's purpose, parameter description, response status, and sample
    structure.
  version: 1.0.0
servers:
  - url: https://api.keyapi.ai
    description: Production
security:
  - JWT Bearer: []
tags: []
paths:
  /v1/threads/fetch_post_comments:
    get:
      tags: []
      summary: Get post comments
      description: Get the list of comments for a Threads post
      parameters:
        - name: post_id
          in: query
          description: Post ID
          required: true
          example: '3390920896561588969'
          schema:
            type: string
            example: '3390920896561588969'
        - name: end_cursor
          in: query
          description: Pagination cursor, used to fetch the next page of data
          required: false
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties: {}
              example:
                code: 0
                message: success
                data:
                  edges:
                    - node:
                        header: null
                        thread_items:
                          - post:
                              id: '3390920896561588969_67007790630'
                              pk: '3390920896561588969'
                              user:
                                friendship_status: null
                                pk: '67007790630'
                                profile_pic_url: >-
                                  https://scontent-sea1-1.cdninstagram.com/v/t51.82787-19/631581152_17922081027238631_8908333353901489699_n.jpg?stp=dst-jpg_s150x150_tt6&efg=eyJ2ZW5jb2RlX3RhZyI6InByb2ZpbGVfcGljLmRqYW5nby4xMDgwLmMyIn0&_nc_ht=scontent-sea1-1.cdninstagram.com&_nc_cat=1&_nc_oc=Q6cZ2QEMqSf1ja9k5mr8dIRGLmok9eQcRBXvGpanHxgmgg-3cxmepoDDyBkk3s886EuMF6mXEDduofNJZPi2xA2RFX8e&_nc_ohc=pI3pL-f_ByUQ7kNvwF3W-8i&_nc_gid=hPesnmnbuUPVpV-a0Aktyg&edm=ALvRx_oBAAAA&ccb=7-5&oh=00_AfyFtGQzSAA71AzJFmL62f6xSSr599U-tpWctL_Zxf6JFQ&oe=69B57709&_nc_sid=ecb15b
                                username: realmadrid
                                id: '67007790630'
                                transparency_label: null
                                transparency_product: null
                                transparency_product_enabled: false
                                is_verified: true
                                text_post_app_is_private: false
                                has_onboarded_to_text_post_app: true
                              text_post_app_info:
                                show_header_follow: false
                                is_markup: false
                                custom_feed_preview_info: null
                                link_preview_attachment: null
                                linked_inline_media: null
                                special_effects_enabled_str: ''
                                text_fragments:
                                  fragments:
                                    - fragment_type: plaintext
                                      link_fragment: null
                                      mention_fragment: null
                                      plaintext: >-
                                        🇪🇸 Our Spanish internationals start
                                        their Euro 2024 campaign today!

                                        💫 ¡Hoy nuestros jugadores españoles
                                        comienzan la Eurocopa!

                                        👉 @nachofdez90 

                                        👉 @dani.carvajal.2 

                                        👉 @joselumato 

                                        Euro2024
                                      tag_fragment: null
                                      linkified_web_url: null
                                      styling_info: null
                                reshare_count: null
                                direct_reply_count: 9
                                repost_count: 21
                                quote_count: 0
                                share_info:
                                  quoted_attachment_author_attribution_allowed: true
                                  quoted_attachment_post_unavailable: false
                                  quoted_attachment_post: null
                                  quoted_post: null
                                  reposted_post: null
                                reply_to_author: null
                                reply_control: everyone
                                private_reply_partner: null
                                self_thread_count: 0
                                tag_header:
                                  display_name: Euro2024
                                  id: '18364175428074215'
                                root_post_author: null
                                pinned_post_info:
                                  is_pinned_to_parent_post: false
                                  is_pinned_to_profile: false
                                related_trends_info: null
                                is_reply: false
                                is_post_unavailable: false
                                post_unavailable_reason: null
                                hush_info: null
                                can_private_reply: false
                                can_reply: false
                              is_paid_partnership: null
                              audio: null
                              caption:
                                text: >-
                                  🇪🇸 Our Spanish internationals start their
                                  Euro 2024 campaign today!

                                  💫 ¡Hoy nuestros jugadores españoles comienzan
                                  la Eurocopa!

                                  👉 nachofdez90 

                                  👉 dani.carvajal.2 

                                  👉 joselumato 

                                  Euro2024
                                pk: '18004431800551764'
                                has_translation: true
                              caption_is_edited: false
                              transcription_data: null
                              carousel_media: null
                              code: C8O-JbtAKrp
                              image_versions2:
                                candidates:
                                  - height: 1350
                                    url: >-
                                      https://scontent-sea1-1.cdninstagram.com/v/t51.82787-15/623949776_18068598296551764_1409047454130610292_n.jpg?stp=dst-jpg_e35_tt6&efg=eyJ2ZW5jb2RlX3RhZyI6InRocmVhZHMuRkVFRC5pbWFnZV91cmxnZW4uMTA4MHgxMzUwLnNkci5mODI3ODcuZGVmYXVsdF9pbWFnZS5jMiJ9&_nc_ht=scontent-sea1-1.cdninstagram.com&_nc_cat=100&_nc_oc=Q6cZ2QEMqSf1ja9k5mr8dIRGLmok9eQcRBXvGpanHxgmgg-3cxmepoDDyBkk3s886EuMF6mXEDduofNJZPi2xA2RFX8e&_nc_ohc=F7sOcD6jaoUQ7kNvwGtWSsA&_nc_gid=hPesnmnbuUPVpV-a0Aktyg&edm=ALvRx_oBAAAA&ccb=7-5&ig_cache_key=MzM5MDkyMDg5NjU2MTU4ODk2OQ%3D%3D.3-ccb7-5&oh=00_AfwaXfDeKu1nn95iLZK0ZTRzuKurnSzPaibQfK38JlcqOQ&oe=69B568F1&_nc_sid=ecb15b
                                    width: 1080
                                  - height: 900
                                    url: >-
                                      https://scontent-sea1-1.cdninstagram.com/v/t51.82787-15/623949776_18068598296551764_1409047454130610292_n.jpg?stp=dst-jpg_e35_p720x720_tt6&efg=eyJ2ZW5jb2RlX3RhZyI6InRocmVhZHMuRkVFRC5pbWFnZV91cmxnZW4uMTA4MHgxMzUwLnNkci5mODI3ODcuZGVmYXVsdF9pbWFnZS5jMiJ9&_nc_ht=scontent-sea1-1.cdninstagram.com&_nc_cat=100&_nc_oc=Q6cZ2QEMqSf1ja9k5mr8dIRGLmok9eQcRBXvGpanHxgmgg-3cxmepoDDyBkk3s886EuMF6mXEDduofNJZPi2xA2RFX8e&_nc_ohc=F7sOcD6jaoUQ7kNvwGtWSsA&_nc_gid=hPesnmnbuUPVpV-a0Aktyg&edm=ALvRx_oBAAAA&ccb=7-5&ig_cache_key=MzM5MDkyMDg5NjU2MTU4ODk2OQ%3D%3D.3-ccb7-5&oh=00_AfxRbeDdJTsLwyBHgpiL1UP_NjmHjB1rsulNTrdtgh45cA&oe=69B568F1&_nc_sid=ecb15b
                                    width: 720
                                  - height: 800
                                    url: >-
                                      https://scontent-sea1-1.cdninstagram.com/v/t51.82787-15/623949776_18068598296551764_1409047454130610292_n.jpg?stp=dst-jpg_e35_p640x640_sh0.08_tt6&efg=eyJ2ZW5jb2RlX3RhZyI6InRocmVhZHMuRkVFRC5pbWFnZV91cmxnZW4uMTA4MHgxMzUwLnNkci5mODI3ODcuZGVmYXVsdF9pbWFnZS5jMiJ9&_nc_ht=scontent-sea1-1.cdninstagram.com&_nc_cat=100&_nc_oc=Q6cZ2QEMqSf1ja9k5mr8dIRGLmok9eQcRBXvGpanHxgmgg-3cxmepoDDyBkk3s886EuMF6mXEDduofNJZPi2xA2RFX8e&_nc_ohc=F7sOcD6jaoUQ7kNvwGtWSsA&_nc_gid=hPesnmnbuUPVpV-a0Aktyg&edm=ALvRx_oBAAAA&ccb=7-5&ig_cache_key=MzM5MDkyMDg5NjU2MTU4ODk2OQ%3D%3D.3-ccb7-5&oh=00_Afxb3qW41Wtpy48wehIDEURbH1fXJOO-VODAr_xqp_odyg&oe=69B568F1&_nc_sid=ecb15b
                                    width: 640
                                  - height: 600
                                    url: >-
                                      https://scontent-sea1-1.cdninstagram.com/v/t51.82787-15/623949776_18068598296551764_1409047454130610292_n.jpg?stp=dst-jpg_e35_p480x480_tt6&efg=eyJ2ZW5jb2RlX3RhZyI6InRocmVhZHMuRkVFRC5pbWFnZV91cmxnZW4uMTA4MHgxMzUwLnNkci5mODI3ODcuZGVmYXVsdF9pbWFnZS5jMiJ9&_nc_ht=scontent-sea1-1.cdninstagram.com&_nc_cat=100&_nc_oc=Q6cZ2QEMqSf1ja9k5mr8dIRGLmok9eQcRBXvGpanHxgmgg-3cxmepoDDyBkk3s886EuMF6mXEDduofNJZPi2xA2RFX8e&_nc_ohc=F7sOcD6jaoUQ7kNvwGtWSsA&_nc_gid=hPesnmnbuUPVpV-a0Aktyg&edm=ALvRx_oBAAAA&ccb=7-5&ig_cache_key=MzM5MDkyMDg5NjU2MTU4ODk2OQ%3D%3D.3-ccb7-5&oh=00_AfysZ18hcC1aLpeITlUwrWojAyJ29wAokQbcMb2N-5MdMQ&oe=69B568F1&_nc_sid=ecb15b
                                    width: 480
                                  - height: 400
                                    url: >-
                                      https://scontent-sea1-1.cdninstagram.com/v/t51.82787-15/623949776_18068598296551764_1409047454130610292_n.jpg?stp=dst-jpg_e35_p320x320_tt6&efg=eyJ2ZW5jb2RlX3RhZyI6InRocmVhZHMuRkVFRC5pbWFnZV91cmxnZW4uMTA4MHgxMzUwLnNkci5mODI3ODcuZGVmYXVsdF9pbWFnZS5jMiJ9&_nc_ht=scontent-sea1-1.cdninstagram.com&_nc_cat=100&_nc_oc=Q6cZ2QEMqSf1ja9k5mr8dIRGLmok9eQcRBXvGpanHxgmgg-3cxmepoDDyBkk3s886EuMF6mXEDduofNJZPi2xA2RFX8e&_nc_ohc=F7sOcD6jaoUQ7kNvwGtWSsA&_nc_gid=hPesnmnbuUPVpV-a0Aktyg&edm=ALvRx_oBAAAA&ccb=7-5&ig_cache_key=MzM5MDkyMDg5NjU2MTU4ODk2OQ%3D%3D.3-ccb7-5&oh=00_AfwF2ZjI8nLAT9kXD5mVaiXKOgqOa_uTqn7imu6t7WGEew&oe=69B568F1&_nc_sid=ecb15b
                                    width: 320
                                  - height: 300
                                    url: >-
                                      https://scontent-sea1-1.cdninstagram.com/v/t51.82787-15/623949776_18068598296551764_1409047454130610292_n.jpg?stp=dst-jpg_e35_p240x240_tt6&efg=eyJ2ZW5jb2RlX3RhZyI6InRocmVhZHMuRkVFRC5pbWFnZV91cmxnZW4uMTA4MHgxMzUwLnNkci5mODI3ODcuZGVmYXVsdF9pbWFnZS5jMiJ9&_nc_ht=scontent-sea1-1.cdninstagram.com&_nc_cat=100&_nc_oc=Q6cZ2QEMqSf1ja9k5mr8dIRGLmok9eQcRBXvGpanHxgmgg-3cxmepoDDyBkk3s886EuMF6mXEDduofNJZPi2xA2RFX8e&_nc_ohc=F7sOcD6jaoUQ7kNvwGtWSsA&_nc_gid=hPesnmnbuUPVpV-a0Aktyg&edm=ALvRx_oBAAAA&ccb=7-5&ig_cache_key=MzM5MDkyMDg5NjU2MTU4ODk2OQ%3D%3D.3-ccb7-5&oh=00_AfxA1lwddQBiZBOP-0PvjK9phla9UvozOOYqAejgC9xU3Q&oe=69B568F1&_nc_sid=ecb15b
                                    width: 240
                                  - height: 1080
                                    url: >-
                                      https://scontent-sea1-1.cdninstagram.com/v/t51.82787-15/623949776_18068598296551764_1409047454130610292_n.jpg?stp=c0.135.1080.1080a_dst-jpg_e35_tt6&efg=eyJ2ZW5jb2RlX3RhZyI6InRocmVhZHMuRkVFRC5pbWFnZV91cmxnZW4uMTA4MHgxMzUwLnNkci5mODI3ODcuZGVmYXVsdF9pbWFnZS5jMiJ9&_nc_ht=scontent-sea1-1.cdninstagram.com&_nc_cat=100&_nc_oc=Q6cZ2QEMqSf1ja9k5mr8dIRGLmok9eQcRBXvGpanHxgmgg-3cxmepoDDyBkk3s886EuMF6mXEDduofNJZPi2xA2RFX8e&_nc_ohc=F7sOcD6jaoUQ7kNvwGtWSsA&_nc_gid=hPesnmnbuUPVpV-a0Aktyg&edm=ALvRx_oBAAAA&ccb=7-5&ig_cache_key=MzM5MDkyMDg5NjU2MTU4ODk2OQ%3D%3D.3-ccb7-5&oh=00_AfxcMeF0tHykB5Jd9xUkkKlPXoPwcqHSZoLPd_u8HE3NJg&oe=69B568F1&_nc_sid=ecb15b
                                    width: 1080
                                  - height: 750
                                    url: >-
                                      https://scontent-sea1-1.cdninstagram.com/v/t51.82787-15/623949776_18068598296551764_1409047454130610292_n.jpg?stp=c0.135.1080.1080a_dst-jpg_e35_s750x750_sh0.08_tt6&efg=eyJ2ZW5jb2RlX3RhZyI6InRocmVhZHMuRkVFRC5pbWFnZV91cmxnZW4uMTA4MHgxMzUwLnNkci5mODI3ODcuZGVmYXVsdF9pbWFnZS5jMiJ9&_nc_ht=scontent-sea1-1.cdninstagram.com&_nc_cat=100&_nc_oc=Q6cZ2QEMqSf1ja9k5mr8dIRGLmok9eQcRBXvGpanHxgmgg-3cxmepoDDyBkk3s886EuMF6mXEDduofNJZPi2xA2RFX8e&_nc_ohc=F7sOcD6jaoUQ7kNvwGtWSsA&_nc_gid=hPesnmnbuUPVpV-a0Aktyg&edm=ALvRx_oBAAAA&ccb=7-5&ig_cache_key=MzM5MDkyMDg5NjU2MTU4ODk2OQ%3D%3D.3-ccb7-5&oh=00_AfzVPQHt8VNKLumy9YY55YkCUTwXoyfa4OJ_bUjGrXTVMQ&oe=69B568F1&_nc_sid=ecb15b
                                    width: 750
                                  - height: 640
                                    url: >-
                                      https://scontent-sea1-1.cdninstagram.com/v/t51.82787-15/623949776_18068598296551764_1409047454130610292_n.jpg?stp=c0.135.1080.1080a_dst-jpg_e35_s640x640_sh0.08_tt6&efg=eyJ2ZW5jb2RlX3RhZyI6InRocmVhZHMuRkVFRC5pbWFnZV91cmxnZW4uMTA4MHgxMzUwLnNkci5mODI3ODcuZGVmYXVsdF9pbWFnZS5jMiJ9&_nc_ht=scontent-sea1-1.cdninstagram.com&_nc_cat=100&_nc_oc=Q6cZ2QEMqSf1ja9k5mr8dIRGLmok9eQcRBXvGpanHxgmgg-3cxmepoDDyBkk3s886EuMF6mXEDduofNJZPi2xA2RFX8e&_nc_ohc=F7sOcD6jaoUQ7kNvwGtWSsA&_nc_gid=hPesnmnbuUPVpV-a0Aktyg&edm=ALvRx_oBAAAA&ccb=7-5&ig_cache_key=MzM5MDkyMDg5NjU2MTU4ODk2OQ%3D%3D.3-ccb7-5&oh=00_AfzCYSxV7bGJRVZevWJ68quTfEQk7qDhtx4Ap1QHvBzvKA&oe=69B568F1&_nc_sid=ecb15b
                                    width: 640
                                  - height: 480
                                    url: >-
                                      https://scontent-sea1-1.cdninstagram.com/v/t51.82787-15/623949776_18068598296551764_1409047454130610292_n.jpg?stp=c0.135.1080.1080a_dst-jpg_e35_s480x480_tt6&efg=eyJ2ZW5jb2RlX3RhZyI6InRocmVhZHMuRkVFRC5pbWFnZV91cmxnZW4uMTA4MHgxMzUwLnNkci5mODI3ODcuZGVmYXVsdF9pbWFnZS5jMiJ9&_nc_ht=scontent-sea1-1.cdninstagram.com&_nc_cat=100&_nc_oc=Q6cZ2QEMqSf1ja9k5mr8dIRGLmok9eQcRBXvGpanHxgmgg-3cxmepoDDyBkk3s886EuMF6mXEDduofNJZPi2xA2RFX8e&_nc_ohc=F7sOcD6jaoUQ7kNvwGtWSsA&_nc_gid=hPesnmnbuUPVpV-a0Aktyg&edm=ALvRx_oBAAAA&ccb=7-5&ig_cache_key=MzM5MDkyMDg5NjU2MTU4ODk2OQ%3D%3D.3-ccb7-5&oh=00_AfzS8mxiiP3wZ9YMu9b9hiamoKFEMb-50zr3jUODO_GDTQ&oe=69B568F1&_nc_sid=ecb15b
                                    width: 480
                                  - height: 320
                                    url: >-
                                      https://scontent-sea1-1.cdninstagram.com/v/t51.82787-15/623949776_18068598296551764_1409047454130610292_n.jpg?stp=c0.135.1080.1080a_dst-jpg_e35_s320x320_tt6&efg=eyJ2ZW5jb2RlX3RhZyI6InRocmVhZHMuRkVFRC5pbWFnZV91cmxnZW4uMTA4MHgxMzUwLnNkci5mODI3ODcuZGVmYXVsdF9pbWFnZS5jMiJ9&_nc_ht=scontent-sea1-1.cdninstagram.com&_nc_cat=100&_nc_oc=Q6cZ2QEMqSf1ja9k5mr8dIRGLmok9eQcRBXvGpanHxgmgg-3cxmepoDDyBkk3s886EuMF6mXEDduofNJZPi2xA2RFX8e&_nc_ohc=F7sOcD6jaoUQ7kNvwGtWSsA&_nc_gid=hPesnmnbuUPVpV-a0Aktyg&edm=ALvRx_oBAAAA&ccb=7-5&ig_cache_key=MzM5MDkyMDg5NjU2MTU4ODk2OQ%3D%3D.3-ccb7-5&oh=00_AfxRxLB7gDlBlTY7KPJzhSYEyA9_bC9qO0KymVIZBbwREw&oe=69B568F1&_nc_sid=ecb15b
                                    width: 320
                                  - height: 240
                                    url: >-
                                      https://scontent-sea1-1.cdninstagram.com/v/t51.82787-15/623949776_18068598296551764_1409047454130610292_n.jpg?stp=c0.135.1080.1080a_dst-jpg_e35_s240x240_tt6&efg=eyJ2ZW5jb2RlX3RhZyI6InRocmVhZHMuRkVFRC5pbWFnZV91cmxnZW4uMTA4MHgxMzUwLnNkci5mODI3ODcuZGVmYXVsdF9pbWFnZS5jMiJ9&_nc_ht=scontent-sea1-1.cdninstagram.com&_nc_cat=100&_nc_oc=Q6cZ2QEMqSf1ja9k5mr8dIRGLmok9eQcRBXvGpanHxgmgg-3cxmepoDDyBkk3s886EuMF6mXEDduofNJZPi2xA2RFX8e&_nc_ohc=F7sOcD6jaoUQ7kNvwGtWSsA&_nc_gid=hPesnmnbuUPVpV-a0Aktyg&edm=ALvRx_oBAAAA&ccb=7-5&ig_cache_key=MzM5MDkyMDg5NjU2MTU4ODk2OQ%3D%3D.3-ccb7-5&oh=00_Afz5O7KP101tUdH20b_CPhlGs_7gV0KMttq3Ks--SSzeyA&oe=69B568F1&_nc_sid=ecb15b
                                    width: 240
                                  - height: 150
                                    url: >-
                                      https://scontent-sea1-1.cdninstagram.com/v/t51.82787-15/623949776_18068598296551764_1409047454130610292_n.jpg?stp=c0.135.1080.1080a_dst-jpg_e35_s150x150_tt6&efg=eyJ2ZW5jb2RlX3RhZyI6InRocmVhZHMuRkVFRC5pbWFnZV91cmxnZW4uMTA4MHgxMzUwLnNkci5mODI3ODcuZGVmYXVsdF9pbWFnZS5jMiJ9&_nc_ht=scontent-sea1-1.cdninstagram.com&_nc_cat=100&_nc_oc=Q6cZ2QEMqSf1ja9k5mr8dIRGLmok9eQcRBXvGpanHxgmgg-3cxmepoDDyBkk3s886EuMF6mXEDduofNJZPi2xA2RFX8e&_nc_ohc=F7sOcD6jaoUQ7kNvwGtWSsA&_nc_gid=hPesnmnbuUPVpV-a0Aktyg&edm=ALvRx_oBAAAA&ccb=7-5&ig_cache_key=MzM5MDkyMDg5NjU2MTU4ODk2OQ%3D%3D.3-ccb7-5&oh=00_Afwem0n8n6BRuuDpspk60Jnt9UrSum08H5CD34dIG_gb5Q&oe=69B568F1&_nc_sid=ecb15b
                                    width: 150
                              original_height: 1350
                              original_width: 1080
                              accessibility_caption: No photo description available.
                              video_versions: null
                              has_audio: null
                              media_type: 1
                              caption_add_on: null
                              giphy_media_info: null
                              media_overlay_info: null
                              sharing_friction_info:
                                should_have_sharing_friction: false
                                sharing_friction_payload: null
                              like_count: 2645
                              metaPlace: null
                              meta_place: null
                              gen_ai_detection_method: null
                              taken_at: 1718449292
                              organic_tracking_token: >-
                                eyJ2ZXJzaW9uIjo1LCJwYXlsb2FkIjp7ImlzX2FuYWx5dGljc190cmFja2VkIjp0cnVlLCJ1dWlkIjoiNDA4M2E0MDQ1Njk1NDQ3MTkxZmI1ODU3YmNlNGRiMDEzMzkwOTIwODk2NTYxNTg4OTY5In0sInNpZ25hdHVyZSI6IiJ9
                              logging_info_token: null
                              like_and_view_counts_disabled: false
                        thread_type: thread
                        id: '3390920896561588969'
                        __typename: XDTThread
                      cursor: ''
                    - node:
                        header: null
                        thread_items:
                          - post:
                              id: '3392374081828459817_67251935934'
                              pk: '3392374081828459817'
                              user:
                                friendship_status: null
                                pk: '67251935934'
                                profile_pic_url: >-
                                  https://scontent-sea1-1.cdninstagram.com/v/t51.2885-19/448201444_434928636099061_1519845567281325051_n.jpg?stp=dst-jpg_s150x150_tt6&efg=eyJ2ZW5jb2RlX3RhZyI6InByb2ZpbGVfcGljLmRqYW5nby4zMjAuYzIifQ&_nc_ht=scontent-sea1-1.cdninstagram.com&_nc_cat=101&_nc_oc=Q6cZ2QEMqSf1ja9k5mr8dIRGLmok9eQcRBXvGpanHxgmgg-3cxmepoDDyBkk3s886EuMF6mXEDduofNJZPi2xA2RFX8e&_nc_ohc=zdLFmBtX-x0Q7kNvwFolHfG&_nc_gid=hPesnmnbuUPVpV-a0Aktyg&edm=ALvRx_oBAAAA&ccb=7-5&oh=00_AfwDHpSMyTkqT-1N3hLde854ak4vm6zpTt8oYrFJ4hlz0g&oe=69B55C75&_nc_sid=ecb15b
                                username: reem_khalil1998
                                id: '67251935934'
                                transparency_label: null
                                transparency_product: null
                                transparency_product_enabled: false
                                is_verified: false
                                text_post_app_is_private: false
                                has_onboarded_to_text_post_app: true
                              text_post_app_info:
                                show_header_follow: false
                                is_markup: false
                                custom_feed_preview_info: null
                                link_preview_attachment:
                                  display_url: gofundme.com
                                  favicon_url: null
                                  image_url: null
                                  title: gofundme.com
                                  url: >-
                                    https://l.threads.com/?u=https%3A%2F%2Fwww.gofundme.com%2Ff%2Finjured-in-gaza&e=AT41v16dTYzN6PMQJ3mr1WFTXmVmNPlNz59W4TbZgIUy7aowlix7_L4eSqnFetnAuNqL9OHbtNBzj0y4Dh2-RcNOEGJ1Qh5ja8MSoZAaaYnH59D91H6TUvc3rSCUeQkzQnMNywXhKRg6nHiv
                                linked_inline_media: null
                                special_effects_enabled_str: ''
                                text_fragments:
                                  fragments:
                                    - fragment_type: link
                                      link_fragment:
                                        display_text: gofundme.com/f/inj…
                                        uri: >-
                                          https://www.gofundme.com/f/injured-in-gaza
                                      mention_fragment: null
                                      plaintext: >-
                                        https://www.gofundme.com/f/injured-in-gaza
                                      tag_fragment: null
                                      linkified_web_url: null
                                      styling_info: null
                                reshare_count: null
                                direct_reply_count: 0
                                repost_count: 0
                                quote_count: 0
                                share_info:
                                  quoted_attachment_author_attribution_allowed: true
                                  quoted_attachment_post_unavailable: false
                                  quoted_attachment_post: null
                                  quoted_post: null
                                  reposted_post: null
                                reply_to_author:
                                  username: realmadrid
                                  id: '67007790630'
                                reply_control: everyone
                                private_reply_partner: null
                                self_thread_count: 0
                                tag_header: null
                                root_post_author:
                                  pk: '67007790630'
                                  id: '67007790630'
                                pinned_post_info:
                                  is_pinned_to_parent_post: false
                                  is_pinned_to_profile: false
                                related_trends_info: null
                                is_reply: true
                                is_post_unavailable: false
                                post_unavailable_reason: null
                                hush_info: null
                                can_private_reply: false
                                can_reply: false
                              is_paid_partnership: null
                              audio: null
                              caption:
                                text: https://www.gofundme.com/f/injured-in-gaza
                                pk: '18301254400088933'
                                has_translation: null
                              caption_is_edited: false
                              transcription_data: null
                              carousel_media: null
                              code: C8UIkD8oJUp
                              image_versions2:
                                candidates: []
                              original_height: 306
                              original_width: 306
                              accessibility_caption: null
                              video_versions: null
                              has_audio: null
                              media_type: 19
                              caption_add_on: null
                              giphy_media_info: null
                              media_overlay_info: null
                              sharing_friction_info:
                                should_have_sharing_friction: false
                                sharing_friction_payload: null
                              like_count: 0
                              metaPlace: null
                              meta_place: null
                              gen_ai_detection_method: null
                              taken_at: 1718622525
                              organic_tracking_token: >-
                                eyJ2ZXJzaW9uIjo1LCJwYXlsb2FkIjp7ImlzX2FuYWx5dGljc190cmFja2VkIjpmYWxzZSwidXVpZCI6IjQwODNhNDA0NTY5NTQ0NzE5MWZiNTg1N2JjZTRkYjAxMzM5MjM3NDA4MTgyODQ1OTgxNyJ9LCJzaWduYXR1cmUiOiIifQ==
                              logging_info_token: null
                              like_and_view_counts_disabled: false
                        thread_type: thread
                        id: '3392374081828459817'
                        __typename: XDTThread
                      cursor: ''
                    - node:
                        header: null
                        thread_items:
                          - post:
                              id: '3390931781203879747_63067715648'
                              pk: '3390931781203879747'
                              user:
                                friendship_status: null
                                pk: '63067715648'
                                profile_pic_url: >-
                                  https://scontent-sea5-1.cdninstagram.com/v/t51.2885-19/357793719_6316541668467303_93803888284238080_n.jpg?stp=dst-jpg_s150x150_tt6&efg=eyJ2ZW5jb2RlX3RhZyI6InByb2ZpbGVfcGljLmRqYW5nby42ODMuYzIifQ&_nc_ht=scontent-sea5-1.cdninstagram.com&_nc_cat=103&_nc_oc=Q6cZ2QEMqSf1ja9k5mr8dIRGLmok9eQcRBXvGpanHxgmgg-3cxmepoDDyBkk3s886EuMF6mXEDduofNJZPi2xA2RFX8e&_nc_ohc=l3yPD4fNas8Q7kNvwGGEPWo&_nc_gid=hPesnmnbuUPVpV-a0Aktyg&edm=ALvRx_oBAAAA&ccb=7-5&oh=00_AfyxWCv_mYKCjXqsz5sM6LaR0DnOloSZLhEwPb4wRkpoug&oe=69B54787&_nc_sid=ecb15b
                                username: yunteyondene
                                id: '63067715648'
                                transparency_label: null
                                transparency_product: null
                                transparency_product_enabled: false
                                is_verified: false
                                text_post_app_is_private: false
                                has_onboarded_to_text_post_app: true
                              text_post_app_info:
                                show_header_follow: false
                                is_markup: false
                                custom_feed_preview_info: null
                                link_preview_attachment: null
                                linked_inline_media: null
                                special_effects_enabled_str: ''
                                text_fragments:
                                  fragments:
                                    - fragment_type: plaintext
                                      link_fragment: null
                                      mention_fragment: null
                                      plaintext: 📣📣🇪🇸
                                      tag_fragment: null
                                      linkified_web_url: null
                                      styling_info: null
                                reshare_count: null
                                direct_reply_count: 0
                                repost_count: 0
                                quote_count: 0
                                share_info:
                                  quoted_attachment_author_attribution_allowed: true
                                  quoted_attachment_post_unavailable: false
                                  quoted_attachment_post: null
                                  quoted_post: null
                                  reposted_post: null
                                reply_to_author:
                                  username: realmadrid
                                  id: '67007790630'
                                reply_control: everyone
                                private_reply_partner: null
                                self_thread_count: 0
                                tag_header: null
                                root_post_author:
                                  pk: '67007790630'
                                  id: '67007790630'
                                pinned_post_info:
                                  is_pinned_to_parent_post: false
                                  is_pinned_to_profile: false
                                related_trends_info: null
                                is_reply: true
                                is_post_unavailable: false
                                post_unavailable_reason: null
                                hush_info: null
                                can_private_reply: false
                                can_reply: false
                              is_paid_partnership: null
                              audio: null
                              caption:
                                text: 📣📣🇪🇸
                                pk: '18280410259201815'
                                has_translation: null
                              caption_is_edited: false
                              transcription_data: null
                              carousel_media: null
                              code: C8PAn00PWdD
                              image_versions2:
                                candidates: []
                              original_height: 612
                              original_width: 612
                              accessibility_caption: null
                              video_versions: null
                              has_audio: null
                              media_type: 19
                              caption_add_on: null
                              giphy_media_info: null
                              media_overlay_info: null
                              sharing_friction_info:
                                should_have_sharing_friction: false
                                sharing_friction_payload: null
                              like_count: 0
                              metaPlace: null
                              meta_place: null
                              gen_ai_detection_method: null
                              taken_at: 1718450590
                              organic_tracking_token: >-
                                eyJ2ZXJzaW9uIjo1LCJwYXlsb2FkIjp7ImlzX2FuYWx5dGljc190cmFja2VkIjp0cnVlLCJ1dWlkIjoiNDA4M2E0MDQ1Njk1NDQ3MTkxZmI1ODU3YmNlNGRiMDEzMzkwOTMxNzgxMjAzODc5NzQ3In0sInNpZ25hdHVyZSI6IiJ9
                              logging_info_token: null
                              like_and_view_counts_disabled: false
                        thread_type: thread
                        id: '3390931781203879747'
                        __typename: XDTThread
                      cursor: ''
                    - node:
                        header: null
                        thread_items:
                          - post:
                              id: '3391056463424886576_65093968646'
                              pk: '3391056463424886576'
                              user:
                                friendship_status: null
                                pk: '65093968646'
                                profile_pic_url: >-
                                  https://scontent-sea5-1.cdninstagram.com/v/t51.2885-19/425986237_7342107912548289_6291753212689381229_n.jpg?stp=dst-jpg_s150x150_tt6&efg=eyJ2ZW5jb2RlX3RhZyI6InByb2ZpbGVfcGljLmRqYW5nby4xMDgwLmMyIn0&_nc_ht=scontent-sea5-1.cdninstagram.com&_nc_cat=109&_nc_oc=Q6cZ2QEMqSf1ja9k5mr8dIRGLmok9eQcRBXvGpanHxgmgg-3cxmepoDDyBkk3s886EuMF6mXEDduofNJZPi2xA2RFX8e&_nc_ohc=sp3Zje8hz00Q7kNvwGoVrDF&_nc_gid=hPesnmnbuUPVpV-a0Aktyg&edm=ALvRx_oBAAAA&ccb=7-5&oh=00_AfyELdJ56StE6s9-a8pXPFqPMyZHECsB--SgIhBOs8NEFQ&oe=69B569DC&_nc_sid=ecb15b
                                username: marinalsanchez
                                id: '65093968646'
                                transparency_label: null
                                transparency_product: null
                                transparency_product_enabled: false
                                is_verified: false
                                text_post_app_is_private: false
                                has_onboarded_to_text_post_app: true
                              text_post_app_info:
                                show_header_follow: false
                                is_markup: false
                                custom_feed_preview_info: null
                                link_preview_attachment: null
                                linked_inline_media: null
                                special_effects_enabled_str: ''
                                text_fragments:
                                  fragments:
                                    - fragment_type: plaintext
                                      link_fragment: null
                                      mention_fragment: null
                                      plaintext: Y Lukita también
                                      tag_fragment: null
                                      linkified_web_url: null
                                      styling_info: null
                                reshare_count: null
                                direct_reply_count: 0
                                repost_count: 0
                                quote_count: 0
                                share_info:
                                  quoted_attachment_author_attribution_allowed: true
                                  quoted_attachment_post_unavailable: false
                                  quoted_attachment_post: null
                                  quoted_post: null
                                  reposted_post: null
                                reply_to_author:
                                  username: realmadrid
                                  id: '67007790630'
                                reply_control: everyone
                                private_reply_partner: null
                                self_thread_count: 0
                                tag_header: null
                                root_post_author:
                                  pk: '67007790630'
                                  id: '67007790630'
                                pinned_post_info:
                                  is_pinned_to_parent_post: false
                                  is_pinned_to_profile: false
                                related_trends_info: null
                                is_reply: true
                                is_post_unavailable: false
                                post_unavailable_reason: null
                                hush_info: null
                                can_private_reply: false
                                can_reply: false
                              is_paid_partnership: null
                              audio: null
                              caption:
                                text: Y Lukita también
                                pk: '17989658645509942'
                                has_translation: true
                              caption_is_edited: false
                              transcription_data: null
                              carousel_media: null
                              code: C8Pc-MLu5cw
                              image_versions2:
                                candidates: []
                              original_height: 612
                              original_width: 612
                              accessibility_caption: null
                              video_versions: null
                              has_audio: null
                              media_type: 19
                              caption_add_on: null
                              giphy_media_info: null
                              media_overlay_info: null
                              sharing_friction_info:
                                should_have_sharing_friction: false
                                sharing_friction_payload: null
                              like_count: 1
                              metaPlace: null
                              meta_place: null
                              gen_ai_detection_method: null
                              taken_at: 1718465453
                              organic_tracking_token: >-
                                eyJ2ZXJzaW9uIjo1LCJwYXlsb2FkIjp7ImlzX2FuYWx5dGljc190cmFja2VkIjpmYWxzZSwidXVpZCI6IjQwODNhNDA0NTY5NTQ0NzE5MWZiNTg1N2JjZTRkYjAxMzM5MTA1NjQ2MzQyNDg4NjU3NiJ9LCJzaWduYXR1cmUiOiIifQ==
                              logging_info_token: null
                              like_and_view_counts_disabled: false
                        thread_type: thread
                        id: '3391056463424886576'
                        __typename: XDTThread
                      cursor: ''
                    - node:
                        header: null
                        thread_items:
                          - post:
                              id: '3390962409940501850_63426125213'
                              pk: '3390962409940501850'
                              user:
                                friendship_status: null
                                pk: '63426125213'
                                profile_pic_url: >-
                                  https://instagram.fbbi1-2.fna.fbcdn.net/v/t51.2885-19/573323465_1219825463302212_7278921664109726296_n.png?stp=dst-jpg_e0_s150x150_tt6&efg=eyJ2ZW5jb2RlX3RhZyI6InByb2ZpbGVfcGljLmRqYW5nby4xNTAuYzIifQ&_nc_ht=instagram.fbbi1-2.fna.fbcdn.net&_nc_cat=1&_nc_oc=Q6cZ2QFZJFkzR44ylScsWDC7U7ZThXvDWnE0E58UmnhZmbX9hiiLjsM53-8M7k9avewY3DF6_1WZao8ls59Z0kM5WnpV&_nc_ohc=2tyZ8HJj7tUQ7kNvwFQ6wDk&_nc_gid=sYlpzopQxDSL0yZQPrcKjw&edm=ALlQn9MBAAAA&ccb=7-5&ig_cache_key=YW5vbnltb3VzX3Byb2ZpbGVfcGlj.3-ccb7-5&oh=00_Afz0IZAd_TdP05heWWP-7mDDWlLbeKerh08z3PKH9oU_0Q&oe=69B5522A&_nc_sid=e7f676
                                username: do_7a.2
                                id: '63426125213'
                                transparency_label: null
                                transparency_product: null
                                transparency_product_enabled: false
                                is_verified: false
                                text_post_app_is_private: false
                                has_onboarded_to_text_post_app: true
                              text_post_app_info:
                                show_header_follow: false
                                is_markup: false
                                custom_feed_preview_info: null
                                link_preview_attachment: null
                                linked_inline_media: null
                                special_effects_enabled_str: ''
                                text_fragments:
                                  fragments:
                                    - fragment_type: plaintext
                                      link_fragment: null
                                      mention_fragment: null
                                      plaintext: 🔥🔥🔥🔥🔥🔥🔥🔥🔥🔥❤️
                                      tag_fragment: null
                                      linkified_web_url: null
                                      styling_info: null
                                reshare_count: null
                                direct_reply_count: 0
                                repost_count: 0
                                quote_count: 0
                                share_info:
                                  quoted_attachment_author_attribution_allowed: true
                                  quoted_attachment_post_unavailable: false
                                  quoted_attachment_post: null
                                  quoted_post: null
                                  reposted_post: null
                                reply_to_author:
                                  username: realmadrid
                                  id: '67007790630'
                                reply_control: everyone
                                private_reply_partner: null
                                self_thread_count: 0
                                tag_header: null
                                root_post_author:
                                  pk: '67007790630'
                                  id: '67007790630'
                                pinned_post_info:
                                  is_pinned_to_parent_post: false
                                  is_pinned_to_profile: false
                                related_trends_info: null
                                is_reply: true
                                is_post_unavailable: false
                                post_unavailable_reason: null
                                hush_info: null
                                can_private_reply: false
                                can_reply: false
                              is_paid_partnership: null
                              audio: null
                              caption:
                                text: 🔥🔥🔥🔥🔥🔥🔥🔥🔥🔥❤️
                                pk: '18058970410609145'
                                has_translation: null
                              caption_is_edited: false
                              transcription_data: null
                              carousel_media: null
                              code: C8PHliDNMVa
                              image_versions2:
                                candidates: []
                              original_height: 612
                              original_width: 612
                              accessibility_caption: null
                              video_versions: null
                              has_audio: null
                              media_type: 19
                              caption_add_on: null
                              giphy_media_info: null
                              media_overlay_info: null
                              sharing_friction_info:
                                should_have_sharing_friction: false
                                sharing_friction_payload: null
                              like_count: 0
                              metaPlace: null
                              meta_place: null
                              gen_ai_detection_method: null
                              taken_at: 1718454241
                              organic_tracking_token: >-
                                eyJ2ZXJzaW9uIjo1LCJwYXlsb2FkIjp7ImlzX2FuYWx5dGljc190cmFja2VkIjp0cnVlLCJ1dWlkIjoiNDA4M2E0MDQ1Njk1NDQ3MTkxZmI1ODU3YmNlNGRiMDEzMzkwOTYyNDA5OTQwNTAxODUwIn0sInNpZ25hdHVyZSI6IiJ9
                              logging_info_token: null
                              like_and_view_counts_disabled: false
                        thread_type: thread
                        id: '3390962409940501850'
                        __typename: XDTThread
                      cursor: ''
                    - node:
                        header: null
                        thread_items:
                          - post:
                              id: '3390938717701320567_67075263002'
                              pk: '3390938717701320567'
                              user:
                                friendship_status: null
                                pk: '67075263002'
                                profile_pic_url: >-
                                  https://scontent-sea5-1.cdninstagram.com/v/t51.2885-19/448505209_25823176673994511_7478958199171501209_n.jpg?stp=dst-jpg_s150x150_tt6&efg=eyJ2ZW5jb2RlX3RhZyI6InByb2ZpbGVfcGljLmRqYW5nby45MDAuYzIifQ&_nc_ht=scontent-sea5-1.cdninstagram.com&_nc_cat=107&_nc_oc=Q6cZ2QEMqSf1ja9k5mr8dIRGLmok9eQcRBXvGpanHxgmgg-3cxmepoDDyBkk3s886EuMF6mXEDduofNJZPi2xA2RFX8e&_nc_ohc=eVQ2_SAyZfoQ7kNvwG3-SBh&_nc_gid=hPesnmnbuUPVpV-a0Aktyg&edm=ALvRx_oBAAAA&ccb=7-5&oh=00_AfxkM0r8qspgKpxEr4LINH6F-7Py5DZQgPLSyErM4flZfw&oe=69B55A4E&_nc_sid=ecb15b
                                username: oday_khaleed
                                id: '67075263002'
                                transparency_label: null
                                transparency_product: null
                                transparency_product_enabled: false
                                is_verified: false
                                text_post_app_is_private: false
                                has_onboarded_to_text_post_app: true
                              text_post_app_info:
                                show_header_follow: false
                                is_markup: false
                                custom_feed_preview_info: null
                                link_preview_attachment:
                                  display_url: gofundme.com
                                  favicon_url: >-
                                    https://external-sea1-1.xx.fbcdn.net/emg1/v/t13/13151509929797974573?url=https%3A%2F%2Fwww.gofundme.com%2Fnextassets%2Fshared%2Ffavicon.svg&utld=gofundme.com&stp=dst-png_s42x42&_nc_gid=hPesnmnbuUPVpV-a0Aktyg&_nc_oc=Adkm4EKCAPxZCMKzChlgMOLAJlEytXUG-fXWoR0cjfWj5EVqKFpyEsP_DU4s90xSke8Px7XlmDFKl94S2KRXjJuu&ccb=13-1&oh=06_Q3-9AZf57zwV2hfnZY_zzC5vb9iZHmrurnU3j90pcpPnZ3xo&oe=69B1695C&_nc_sid=1d65fc
                                  image_url: >-
                                    https://external-sea1-1.xx.fbcdn.net/emg1/v/t13/2841717181821253349?stp=dst-src&url=https%3A%2F%2Fd2g8igdw686xgo.cloudfront.net%2F80519495_1743957371937778_r.jpeg&utld=cloudfront.net&_nc_gid=hPesnmnbuUPVpV-a0Aktyg&_nc_oc=AdkdXe0qFcGVSp40bEGqQHprDoX4IWag0bTdw3Ht-EbV5plA9sFtBQ0DUZymHY4HT0knRvb9e3P6rRGEymV7qONQ&ccb=13-1&oh=06_Q3-9AZsiCHiuWhtbA_tYTY-sitotVBHrJzECav18M3dfKgCo&oe=69B1515B&_nc_sid=1d65fc
                                  title: >-
                                    Donate to Help and support Oday family from
                                    Gaza, organized by Iman Ed
                                  url: >-
                                    https://l.threads.com/?u=https%3A%2F%2Fwww.gofundme.com%2Ff%2Fns54q-help-a-family-from-gaza&e=AT5kIiQi3uHROQTP5KsfndhevfWUhoDj-mn_d2KyB2UTv12H3UbfC9Gz0NJ__yIzQrKubJoz8_p5bs655N6Xt-8Zu4cTe4tZ6LgMdyMzTPqXwuEgqRTNTcPAsxS5KJHyvvMGx6E7feDUozXS
                                linked_inline_media: null
                                special_effects_enabled_str: ''
                                text_fragments:
                                  fragments:
                                    - fragment_type: plaintext
                                      link_fragment: null
                                      mention_fragment: null
                                      plaintext: >
                                        Hi, I am from in Gaza🇵🇸🇵🇸. Can you
                                        help support my campaign please?
                                      tag_fragment: null
                                      linkified_web_url: null
                                      styling_info: null
                                    - fragment_type: link
                                      link_fragment:
                                        display_text: gofundme.com/f/ns5…
                                        uri: >-
                                          https://www.gofundme.com/f/ns54q-help-a-family-from-gaza
                                      mention_fragment: null
                                      plaintext: >-
                                        https://www.gofundme.com/f/ns54q-help-a-family-from-gaza
                                      tag_fragment: null
                                      linkified_web_url: null
                                      styling_info: null
                                reshare_count: null
                                direct_reply_count: 0
                                repost_count: 0
                                quote_count: 0
                                share_info:
                                  quoted_attachment_author_attribution_allowed: true
                                  quoted_attachment_post_unavailable: false
                                  quoted_attachment_post: null
                                  quoted_post: null
                                  reposted_post: null
                                reply_to_author:
                                  username: realmadrid
                                  id: '67007790630'
                                reply_control: everyone
                                private_reply_partner: null
                                self_thread_count: 0
                                tag_header: null
                                root_post_author:
                                  pk: '67007790630'
                                  id: '67007790630'
                                pinned_post_info:
                                  is_pinned_to_parent_post: false
                                  is_pinned_to_profile: false
                                related_trends_info: null
                                is_reply: true
                                is_post_unavailable: false
                                post_unavailable_reason: null
                                hush_info: null
                                can_private_reply: false
                                can_reply: false
                              is_paid_partnership: null
                              audio: null
                              caption:
                                text: >-
                                  Hi, I am from in Gaza🇵🇸🇵🇸. Can you help
                                  support my campaign please?

                                  https://www.gofundme.com/f/ns54q-help-a-family-from-gaza
                                pk: '18038961778764445'
                                has_translation: null
                              caption_is_edited: false
                              transcription_data: null
                              carousel_media: null
                              code: C8PCMw7tK93
                              image_versions2:
                                candidates: []
                              original_height: 612
                              original_width: 612
                              accessibility_caption: null
                              video_versions: null
                              has_audio: null
                              media_type: 19
                              caption_add_on: null
                              giphy_media_info: null
                              media_overlay_info: null
                              sharing_friction_info:
                                should_have_sharing_friction: false
                                sharing_friction_payload: null
                              like_count: 0
                              metaPlace: null
                              meta_place: null
                              gen_ai_detection_method: null
                              taken_at: 1718451417
                              organic_tracking_token: >-
                                eyJ2ZXJzaW9uIjo1LCJwYXlsb2FkIjp7ImlzX2FuYWx5dGljc190cmFja2VkIjp0cnVlLCJ1dWlkIjoiNDA4M2E0MDQ1Njk1NDQ3MTkxZmI1ODU3YmNlNGRiMDEzMzkwOTM4NzE3NzAxMzIwNTY3In0sInNpZ25hdHVyZSI6IiJ9
                              logging_info_token: null
                              like_and_view_counts_disabled: false
                        thread_type: thread
                        id: '3390938717701320567'
                        __typename: XDTThread
                      cursor: ''
                    - node:
                        header: null
                        thread_items:
                          - post:
                              id: '3390924166779796165_66692131281'
                              pk: '3390924166779796165'
                              user:
                                friendship_status: null
                                pk: '66692131281'
                                profile_pic_url: >-
                                  https://instagram.fbbi1-2.fna.fbcdn.net/v/t51.2885-19/573323465_1219825463302212_7278921664109726296_n.png?stp=dst-jpg_e0_s150x150_tt6&efg=eyJ2ZW5jb2RlX3RhZyI6InByb2ZpbGVfcGljLmRqYW5nby4xNTAuYzIifQ&_nc_ht=instagram.fbbi1-2.fna.fbcdn.net&_nc_cat=1&_nc_oc=Q6cZ2QFZJFkzR44ylScsWDC7U7ZThXvDWnE0E58UmnhZmbX9hiiLjsM53-8M7k9avewY3DF6_1WZao8ls59Z0kM5WnpV&_nc_ohc=2tyZ8HJj7tUQ7kNvwFQ6wDk&_nc_gid=sYlpzopQxDSL0yZQPrcKjw&edm=ALlQn9MBAAAA&ccb=7-5&ig_cache_key=YW5vbnltb3VzX3Byb2ZpbGVfcGlj.3-ccb7-5&oh=00_Afz0IZAd_TdP05heWWP-7mDDWlLbeKerh08z3PKH9oU_0Q&oe=69B5522A&_nc_sid=e7f676
                                username: o4.vip
                                id: '66692131281'
                                transparency_label: null
                                transparency_product: null
                                transparency_product_enabled: false
                                is_verified: false
                                text_post_app_is_private: false
                                has_onboarded_to_text_post_app: true
                              text_post_app_info:
                                show_header_follow: false
                                is_markup: false
                                custom_feed_preview_info: null
                                link_preview_attachment: null
                                linked_inline_media: null
                                special_effects_enabled_str: ''
                                text_fragments:
                                  fragments:
                                    - fragment_type: plaintext
                                      link_fragment: null
                                      mention_fragment: null
                                      plaintext: Vamos
                                      tag_fragment: null
                                      linkified_web_url: null
                                      styling_info: null
                                reshare_count: null
                                direct_reply_count: 0
                                repost_count: 0
                                quote_count: 0
                                share_info:
                                  quoted_attachment_author_attribution_allowed: true
                                  quoted_attachment_post_unavailable: false
                                  quoted_attachment_post: null
                                  quoted_post: null
                                  reposted_post: null
                                reply_to_author:
                                  username: realmadrid
                                  id: '67007790630'
                                reply_control: everyone
                                private_reply_partner: null
                                self_thread_count: 0
                                tag_header: null
                                root_post_author:
                                  pk: '67007790630'
                                  id: '67007790630'
                                pinned_post_info:
                                  is_pinned_to_parent_post: false
                                  is_pinned_to_profile: false
                                related_trends_info: null
                                is_reply: true
                                is_post_unavailable: false
                                post_unavailable_reason: null
                                hush_info: null
                                can_private_reply: false
                                can_reply: false
                              is_paid_partnership: null
                              audio: null
                              caption:
                                text: Vamos
                                pk: '18105540337392390'
                                has_translation: null
                              caption_is_edited: false
                              transcription_data: null
                              carousel_media: null
                              code: C8O-5BVMnrF
                              image_versions2:
                                candidates: []
                              original_height: 612
                              original_width: 612
                              accessibility_caption: null
                              video_versions: null
                              has_audio: null
                              media_type: 19
                              caption_add_on: null
                              giphy_media_info: null
                              media_overlay_info: null
                              sharing_friction_info:
                                should_have_sharing_friction: false
                                sharing_friction_payload: null
                              like_count: 1
                              metaPlace: null
                              meta_place: null
                              gen_ai_detection_method: null
                              taken_at: 1718449682
                              organic_tracking_token: >-
                                eyJ2ZXJzaW9uIjo1LCJwYXlsb2FkIjp7ImlzX2FuYWx5dGljc190cmFja2VkIjp0cnVlLCJ1dWlkIjoiNDA4M2E0MDQ1Njk1NDQ3MTkxZmI1ODU3YmNlNGRiMDEzMzkwOTI0MTY2Nzc5Nzk2MTY1In0sInNpZ25hdHVyZSI6IiJ9
                              logging_info_token: null
                              like_and_view_counts_disabled: false
                        thread_type: thread
                        id: '3390924166779796165'
                        __typename: XDTThread
                      cursor: ''
                    - node:
                        header: null
                        thread_items:
                          - post:
                              id: '3390921557755787427_63126057297'
                              pk: '3390921557755787427'
                              user:
                                friendship_status: null
                                pk: '63126057297'
                                profile_pic_url: >-
                                  https://scontent-sea1-1.cdninstagram.com/v/t51.82787-19/513976732_18484430494071448_636394755440027901_n.jpg?stp=dst-jpg_s150x150_tt6&efg=eyJ2ZW5jb2RlX3RhZyI6InByb2ZpbGVfcGljLmRqYW5nby4xMDgwLmMyIn0&_nc_ht=scontent-sea1-1.cdninstagram.com&_nc_cat=104&_nc_oc=Q6cZ2QEMqSf1ja9k5mr8dIRGLmok9eQcRBXvGpanHxgmgg-3cxmepoDDyBkk3s886EuMF6mXEDduofNJZPi2xA2RFX8e&_nc_ohc=DVtVCY_iTwgQ7kNvwFk5zv6&_nc_gid=hPesnmnbuUPVpV-a0Aktyg&edm=ALvRx_oBAAAA&ccb=7-5&oh=00_Afx4IOOjj9IIykClYzJ7VqQ5Ot0k8UycTikPIVSS16-C9Q&oe=69B56F7A&_nc_sid=ecb15b
                                username: mahmoodalasaad_
                                id: '63126057297'
                                transparency_label: null
                                transparency_product: null
                                transparency_product_enabled: false
                                is_verified: true
                                text_post_app_is_private: false
                                has_onboarded_to_text_post_app: true
                              text_post_app_info:
                                show_header_follow: false
                                is_markup: false
                                custom_feed_preview_info: null
                                link_preview_attachment: null
                                linked_inline_media: null
                                special_effects_enabled_str: ''
                                text_fragments:
                                  fragments:
                                    - fragment_type: plaintext
                                      link_fragment: null
                                      mention_fragment: null
                                      plaintext: 🤲✨✨💙💙💙🤝
                                      tag_fragment: null
                                      linkified_web_url: null
                                      styling_info: null
                                reshare_count: null
                                direct_reply_count: 0
                                repost_count: 0
                                quote_count: 0
                                share_info:
                                  quoted_attachment_author_attribution_allowed: true
                                  quoted_attachment_post_unavailable: false
                                  quoted_attachment_post: null
                                  quoted_post: null
                                  reposted_post: null
                                reply_to_author:
                                  username: realmadrid
                                  id: '67007790630'
                                reply_control: everyone
                                private_reply_partner: null
                                self_thread_count: 0
                                tag_header: null
                                root_post_author:
                                  pk: '67007790630'
                                  id: '67007790630'
                                pinned_post_info:
                                  is_pinned_to_parent_post: false
                                  is_pinned_to_profile: false
                                related_trends_info: null
                                is_reply: true
                                is_post_unavailable: false
                                post_unavailable_reason: null
                                hush_info: null
                                can_private_reply: false
                                can_reply: false
                              is_paid_partnership: null
                              audio: null
                              caption:
                                text: 🤲✨✨💙💙💙🤝
                                pk: '18027904466478702'
                                has_translation: null
                              caption_is_edited: false
                              transcription_data: null
                              carousel_media: null
                              code: C8O-TDfP3ij
                              image_versions2:
                                candidates: []
                              original_height: 612
                              original_width: 612
                              accessibility_caption: null
                              video_versions: null
                              has_audio: null
                              media_type: 19
                              caption_add_on: null
                              giphy_media_info: null
                              media_overlay_info: null
                              sharing_friction_info:
                                should_have_sharing_friction: false
                                sharing_friction_payload: null
                              like_count: 0
                              metaPlace: null
                              meta_place: null
                              gen_ai_detection_method: null
                              taken_at: 1718449371
                              organic_tracking_token: >-
                                eyJ2ZXJzaW9uIjo1LCJwYXlsb2FkIjp7ImlzX2FuYWx5dGljc190cmFja2VkIjp0cnVlLCJ1dWlkIjoiNDA4M2E0MDQ1Njk1NDQ3MTkxZmI1ODU3YmNlNGRiMDEzMzkwOTIxNTU3NzU1Nzg3NDI3In0sInNpZ25hdHVyZSI6IiJ9
                              logging_info_token: null
                              like_and_view_counts_disabled: false
                        thread_type: thread
                        id: '3390921557755787427'
                        __typename: XDTThread
                      cursor: ''
                    - node:
                        header: null
                        thread_items:
                          - post:
                              id: '3390930071274677885_63479443298'
                              pk: '3390930071274677885'
                              user:
                                friendship_status: null
                                pk: '63479443298'
                                profile_pic_url: >-
                                  https://scontent-sea5-1.cdninstagram.com/v/t51.82787-19/625201863_17940384588115299_3457304429064884977_n.jpg?stp=dst-jpg_s150x150_tt6&efg=eyJ2ZW5jb2RlX3RhZyI6InByb2ZpbGVfcGljLmRqYW5nby4xMDgwLmMyIn0&_nc_ht=scontent-sea5-1.cdninstagram.com&_nc_cat=103&_nc_oc=Q6cZ2QEMqSf1ja9k5mr8dIRGLmok9eQcRBXvGpanHxgmgg-3cxmepoDDyBkk3s886EuMF6mXEDduofNJZPi2xA2RFX8e&_nc_ohc=H-9apMiC_A8Q7kNvwELMYdT&_nc_gid=hPesnmnbuUPVpV-a0Aktyg&edm=ALvRx_oBAAAA&ccb=7-5&oh=00_AfywJq_5zzg_Zoh_ibbydzTMxdP9fiGc7IlgZP8IqEoCMQ&oe=69B571FA&_nc_sid=ecb15b
                                username: agus_nurdin74
                                id: '63479443298'
                                transparency_label: null
                                transparency_product: null
                                transparency_product_enabled: false
                                is_verified: false
                                text_post_app_is_private: false
                                has_onboarded_to_text_post_app: true
                              text_post_app_info:
                                show_header_follow: false
                                is_markup: false
                                custom_feed_preview_info: null
                                link_preview_attachment: null
                                linked_inline_media: null
                                special_effects_enabled_str: ''
                                text_fragments:
                                  fragments:
                                    - fragment_type: plaintext
                                      link_fragment: null
                                      mention_fragment: null
                                      plaintext: Good luck Spanish 💪
                                      tag_fragment: null
                                      linkified_web_url: null
                                      styling_info: null
                                reshare_count: null
                                direct_reply_count: 0
                                repost_count: 0
                                quote_count: 0
                                share_info:
                                  quoted_attachment_author_attribution_allowed: true
                                  quoted_attachment_post_unavailable: false
                                  quoted_attachment_post: null
                                  quoted_post: null
                                  reposted_post: null
                                reply_to_author:
                                  username: realmadrid
                                  id: '67007790630'
                                reply_control: everyone
                                private_reply_partner: null
                                self_thread_count: 0
                                tag_header: null
                                root_post_author:
                                  pk: '67007790630'
                                  id: '67007790630'
                                pinned_post_info:
                                  is_pinned_to_parent_post: false
                                  is_pinned_to_profile: false
                                related_trends_info: null
                                is_reply: true
                                is_post_unavailable: false
                                post_unavailable_reason: null
                                hush_info: null
                                can_private_reply: false
                                can_reply: false
                              is_paid_partnership: null
                              audio: null
                              caption:
                                text: Good luck Spanish 💪
                                pk: '18005728295618805'
                                has_translation: null
                              caption_is_edited: false
                              transcription_data: null
                              carousel_media: null
                              code: C8PAO8UhGZ9
                              image_versions2:
                                candidates: []
                              original_height: 612
                              original_width: 612
                              accessibility_caption: null
                              video_versions: null
                              has_audio: null
                              media_type: 19
                              caption_add_on: null
                              giphy_media_info: null
                              media_overlay_info: null
                              sharing_friction_info:
                                should_have_sharing_friction: false
                                sharing_friction_payload: null
                              like_count: 0
                              metaPlace: null
                              meta_place: null
                              gen_ai_detection_method: null
                              taken_at: 1718450386
                              organic_tracking_token: >-
                                eyJ2ZXJzaW9uIjo1LCJwYXlsb2FkIjp7ImlzX2FuYWx5dGljc190cmFja2VkIjp0cnVlLCJ1dWlkIjoiNDA4M2E0MDQ1Njk1NDQ3MTkxZmI1ODU3YmNlNGRiMDEzMzkwOTMwMDcxMjc0Njc3ODg1In0sInNpZ25hdHVyZSI6IiJ9
                              logging_info_token: null
                              like_and_view_counts_disabled: false
                        thread_type: thread
                        id: '3390930071274677885'
                        __typename: XDTThread
                      cursor: ''
                    - node:
                        header: null
                        thread_items:
                          - post:
                              id: '3390927155976567625_63557701100'
                              pk: '3390927155976567625'
                              user:
                                friendship_status: null
                                pk: '63557701100'
                                profile_pic_url: >-
                                  https://scontent-sea5-1.cdninstagram.com/v/t51.2885-19/410990765_1809244982925869_1201813272454000507_n.jpg?stp=dst-jpg_s150x150_tt6&efg=eyJ2ZW5jb2RlX3RhZyI6InByb2ZpbGVfcGljLmRqYW5nby4xMDgwLmMyIn0&_nc_ht=scontent-sea5-1.cdninstagram.com&_nc_cat=105&_nc_oc=Q6cZ2QEMqSf1ja9k5mr8dIRGLmok9eQcRBXvGpanHxgmgg-3cxmepoDDyBkk3s886EuMF6mXEDduofNJZPi2xA2RFX8e&_nc_ohc=qwHu1E26MBcQ7kNvwEEKsfE&_nc_gid=hPesnmnbuUPVpV-a0Aktyg&edm=ALvRx_oBAAAA&ccb=7-5&oh=00_Afy5YjVzivsDca1kH8vy8GZDNqPgLL88WWFcTkMz0oCWlA&oe=69B547F8&_nc_sid=ecb15b
                                username: virgiliogarcial
                                id: '63557701100'
                                transparency_label: null
                                transparency_product: null
                                transparency_product_enabled: false
                                is_verified: false
                                text_post_app_is_private: false
                                has_onboarded_to_text_post_app: true
                              text_post_app_info:
                                show_header_follow: false
                                is_markup: false
                                custom_feed_preview_info: null
                                link_preview_attachment: null
                                linked_inline_media: null
                                special_effects_enabled_str: ''
                                text_fragments:
                                  fragments:
                                    - fragment_type: plaintext
                                      link_fragment: null
                                      mention_fragment: null
                                      plaintext: Vamos Campeones
                                      tag_fragment: null
                                      linkified_web_url: null
                                      styling_info: null
                                reshare_count: null
                                direct_reply_count: 0
                                repost_count: 0
                                quote_count: 0
                                share_info:
                                  quoted_attachment_author_attribution_allowed: true
                                  quoted_attachment_post_unavailable: false
                                  quoted_attachment_post: null
                                  quoted_post: null
                                  reposted_post: null
                                reply_to_author:
                                  username: realmadrid
                                  id: '67007790630'
                                reply_control: everyone
                                private_reply_partner: null
                                self_thread_count: 0
                                tag_header: null
                                root_post_author:
                                  pk: '67007790630'
                                  id: '67007790630'
                                pinned_post_info:
                                  is_pinned_to_parent_post: false
                                  is_pinned_to_profile: false
                                related_trends_info: null
                                is_reply: true
                                is_post_unavailable: false
                                post_unavailable_reason: null
                                hush_info: null
                                can_private_reply: false
                                can_reply: false
                              is_paid_partnership: null
                              audio: null
                              caption:
                                text: Vamos Campeones
                                pk: '17973861413597635'
                                has_translation: null
                              caption_is_edited: false
                              transcription_data: null
                              carousel_media: null
                              code: C8O_khPNXtJ
                              image_versions2:
                                candidates: []
                              original_height: 612
                              original_width: 612
                              accessibility_caption: null
                              video_versions: null
                              has_audio: null
                              media_type: 19
                              caption_add_on: null
                              giphy_media_info: null
                              media_overlay_info: null
                              sharing_friction_info:
                                should_have_sharing_friction: false
                                sharing_friction_payload: null
                              like_count: 0
                              metaPlace: null
                              meta_place: null
                              gen_ai_detection_method: null
                              taken_at: 1718450038
                              organic_tracking_token: >-
                                eyJ2ZXJzaW9uIjo1LCJwYXlsb2FkIjp7ImlzX2FuYWx5dGljc190cmFja2VkIjpmYWxzZSwidXVpZCI6IjQwODNhNDA0NTY5NTQ0NzE5MWZiNTg1N2JjZTRkYjAxMzM5MDkyNzE1NTk3NjU2NzYyNSJ9LCJzaWduYXR1cmUiOiIifQ==
                              logging_info_token: null
                              like_and_view_counts_disabled: false
                        thread_type: thread
                        id: '3390927155976567625'
                        __typename: XDTThread
                      cursor: ''
                  page_info:
                    has_next_page: true
                    has_previous_page: false
                    end_cursor: null
                    start_cursor: null
                requestId: 65386da6-ed25-47d2-bbe9-3cc84f447e66
          headers: {}
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                example:
                  code: 400
                  data: null
                  message: 'Missing required parameter: handle'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                example:
                  code: 401
                  data: null
                  message: apiKey is null
        '402':
          description: Payment Required
          content:
            application/json:
              schema:
                type: object
                example:
                  code: 402
                  data: null
                  message: apiKey quota is not enough
        '429':
          description: Too Many Requests
          content:
            application/json:
              schema:
                type: object
                example:
                  code: 429
                  data: null
                  message: qps limit exceeded
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                type: object
                example:
                  code: 500
                  data: null
                  message: Internal server error
      deprecated: false
      security:
        - JWT Bearer: []
      x-codeSamples:
        - lang: curl
          label: cURL
          source: |-
            curl --request GET \
              --url 'https://api.keyapi.ai/v1/threads/fetch_post_comments?post_id=3390920896561588969' \
              --header 'Authorization: Bearer <YOUR_API_KEY>'
        - lang: python
          label: Python
          source: |-
            import requests

            response = requests.get(
                'https://api.keyapi.ai/v1/threads/fetch_post_comments',
                params={"post_id": "3390920896561588969"},
                headers={'Authorization': 'Bearer <YOUR_API_KEY>'}
            )
            print(response.json())
        - lang: javascript
          label: JavaScript
          source: >-
            const params = new URLSearchParams({"post_id":
            "3390920896561588969"});


            const response = await
            fetch(`https://api.keyapi.ai/v1/threads/fetch_post_comments?${params}`,
            {
              method: 'GET',
              headers: { 'Authorization': 'Bearer <YOUR_API_KEY>' }
            });

            const data = await response.json();

            console.log(data);
components:
  securitySchemes:
    JWT Bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: |-
        API key for authentication. Format: `sk_live_xxxxxxxxxxxxx`
        Get your API key from the [Dashboard](http://keyapi.ai/app/dashboard).

````